> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/api-reference/reference/product-sku.md).

# Product SKU

## Generate SKU schema

> Stock keeping unit or SKU is a number assigned to a particular product by a digital or physical retail store for easy identification and inventory tracking purposes. The SKU number is a string of alphanumeric characters that uniquely identify details such as price, product options and manufacturer of a particular product or service. SKUs are used in order notifications, electronic delivery, export files, etc

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/productsku/":{"get":{"tags":["Product SKU"],"summary":"Generate SKU schema","description":"Stock keeping unit or SKU is a number assigned to a particular product by a digital or physical retail store for easy identification and inventory tracking purposes. The SKU number is a string of alphanumeric characters that uniquely identify details such as price, product options and manufacturer of a particular product or service. SKUs are used in order notifications, electronic delivery, export files, etc","operationId":"generateSchema","parameters":[{"name":"schema","in":"query","description":"To create a new SKU schema, define the combination criteria from the Settings section below. The SKU number is a unique combination of Product ID (Product Code) plus all or one of the following: Currencies/Volume Discounts/Purchase Types/Pricing Options","required":true,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns generated SKU schema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"401":{"description":"Authentication failure","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}}}}}},"components":{"schemas":{"inline_response_200":{"type":"object","properties":{"ProductCode":{"type":"string"},"SkuPricingOptions":{"$ref":"#/components/schemas/inline_response_200_SkuPricingOptions"}}},"inline_response_200_SkuPricingOptions":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/SkuPricingOptionsDetailsForSchema"},"1":{"$ref":"#/components/schemas/ValidationErrorsSkuPricingOptionsDetails"}}},"SkuPricingOptionsDetailsForSchema":{"type":"object","properties":{"Code":{"type":"string"},"Details":{"$ref":"#/components/schemas/SkuPricingOptionsDetailsForSchema_Details"},"Errors":{"type":"array","items":{"type":"string"}}}},"SkuPricingOptionsDetailsForSchema_Details":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema"},"1":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema"}}},"SkuPricingOptionsForSchema":{"type":"object","properties":{"ProductSKU":{"type":"string"},"Currency":{"type":"string"},"FromQty":{"type":"integer"},"ToQty":{"type":"integer"},"PurchaseType":{"type":"string"},"Groups":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema_Groups"},"Options":{"type":"string"}}},"SkuPricingOptionsForSchema_Groups":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema_Groups_0"}}},"SkuPricingOptionsForSchema_Groups_0":{"type":"object","properties":{"GroupCode":{"type":"string"},"Options":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema_Groups_0_Options"}}},"SkuPricingOptionsForSchema_Groups_0_Options":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/SkuPricingOptionsForSchema_Groups_0_Options_0"}}},"SkuPricingOptionsForSchema_Groups_0_Options_0":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}},"ValidationErrorsSkuPricingOptionsDetails":{"type":"object","properties":{"ProductCode":{"type":"string"},"SkuPricingOptions":{"$ref":"#/components/schemas/ValidationErrorsSkuPricingOptionsDetails_SkuPricingOptions"}}},"ValidationErrorsSkuPricingOptionsDetails_SkuPricingOptions":{"type":"object","properties":{"Code":{"type":"string"},"Details":{"type":"object","nullable":true},"Errors":{"type":"array","items":{"type":"string"}}}},"inline_response_401":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /productsku/search

> Get product SKUs matching to parameters specified in request

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/productsku/search":{"get":{"tags":["Product SKU"],"summary":"Get product SKUs matching to parameters specified in request","operationId":"searchSku","parameters":[{"name":"ProductCode","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"PricingConfigurations","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchSkuPricingConfigurations"}}},{"name":"PurchaseTypes","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchSkuPurchaseTypes"}}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns generated SKU schema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSkuSearchResponse"}}}}}}}},"components":{"schemas":{"SearchSkuPricingConfigurations":{"type":"object","properties":{"Code":{"type":"string"},"Currencies":{"$ref":"#/components/schemas/Currency"}}},"Currency":{"type":"object","properties":{"Code":{"type":"string"}}},"SearchSkuPurchaseTypes":{"type":"object","properties":{"Code":{"type":"string"}}},"ProductSkuSearchResponse":{"type":"object","properties":{"ProductCode":{"type":"string"},"PricingConfigurations":{"$ref":"#/components/schemas/ProductSkuSearchResponse_PricingConfigurations"},"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"ProductSkuSearchResponse_PricingConfigurations":{"type":"object","properties":{"Code":{"type":"string"},"Currencies":{"type":"array","items":{"$ref":"#/components/schemas/Currency"}},"PurchaseTypes":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseType"}},"QuantityIntervals":{"type":"array","items":{"$ref":"#/components/schemas/QuantityInterval"}},"PriceOptionGroups":{"type":"array","items":{"$ref":"#/components/schemas/PriceOptionGroup"}},"SkuCollection":{"type":"array","items":{"$ref":"#/components/schemas/Sku"}}}},"PurchaseType":{"type":"object","properties":{"Code":{"type":"string"}}},"QuantityInterval":{"type":"object","properties":{"MinQuantity":{"type":"number"},"MaxQuantity":{"type":"number"}}},"PriceOptionGroup":{"type":"object","properties":{"Code":{"type":"string"},"Options":{"type":"array","items":{"$ref":"#/components/schemas/PriceOption"}}}},"PriceOption":{"type":"object","properties":{"OptionValue":{"type":"string"}}},"Sku":{"type":"object","properties":{"ProductCode":{"type":"string"},"SkuPricingOptions":{"type":"array","items":{"$ref":"#/components/schemas/SkuPricingOptions"}}}},"SkuPricingOptions":{"type":"object","properties":{"Code":{"type":"string"},"Details":{"type":"array","items":{"$ref":"#/components/schemas/SkuPricingOptionsDetails"}}}},"SkuPricingOptionsDetails":{"type":"object","properties":{"ProductSKU":{"type":"string"},"Currency":{"type":"string"},"FromQty":{"type":"number"},"ToQty":{"type":"number"},"PurchaseType":{"type":"string"},"Groups":{"$ref":"#/components/schemas/SkuPricingOptionsDetails_Groups"},"Options":{"type":"string"}}},"SkuPricingOptionsDetails_Groups":{"type":"object","properties":{"GroupCode":{"type":"string"},"Options":{"type":"array","items":{"$ref":"#/components/schemas/SkuPricingOptionsDetailsOption"}}}},"SkuPricingOptionsDetailsOption":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}}},"Error":{"type":"object","properties":{"Field":{"type":"string"},"Message":{"type":"string"}}}}}}
```

## Delete product SKU

> Delete product SKU by criteria

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/productsku/delete":{"post":{"tags":["Product SKU"],"summary":"Delete product SKU","description":"Delete product SKU by criteria","operationId":"deleteSKU","parameters":[{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","enum":["application/json"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeleteSkuProduct"}}}}},"responses":{"200":{"description":"In case of success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeleteSkuProductResponse"}}}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeleteSkuProductResponse"}}}}},"401":{"description":"Authentication failure","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401_1"}}}}}}}},"components":{"schemas":{"DeleteSkuProduct":{"type":"object","properties":{"ProductCode":{"type":"string"},"PriceConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/DeleteSkuPriceConfiguration"}},"SKUs":{"type":"array","items":{"type":"string"}}}},"DeleteSkuPriceConfiguration":{"type":"object","properties":{"PriceConfigurationCode":{"type":"string"},"SKUs":{"type":"array","items":{"type":"string"}}}},"DeleteSkuProductResponse":{"type":"object","properties":{"ProductCode":{"type":"string"},"PriceConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/DeleteSkuPriceConfigurationResponse"}},"SKUs":{"type":"array","items":{"type":"string"}},"Errors":{"type":"array","items":{"type":"string"}}}},"DeleteSkuPriceConfigurationResponse":{"type":"object","properties":{"PriceConfigurationCode":{"type":"string"},"SKUs":{"type":"array","items":{"type":"string"}},"Errors":{"type":"array","items":{"type":"string"}}}},"inline_response_401_1":{"properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/api-reference/reference/product-sku.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
